

body{
  background: #0D7173;    
  overflow-y: hidden;
}

#introduction p{
  font-size:1.5em;
  }

#introduction #hello{
  font-size:1em;
}

#introduction{
  position: absolute;
  left: calc(50%-32px);
  top: calc(50%-32px);
  margin: 32px;
  width: 250px

  /*animation-delay: 0s;*/
}

#chatroom_iframe{
  border: none;
}

#story{
  position: absolute;
  left: 480px;
  top: 260px;

  /*animation-delay: 0s;*/
}

#chatroom{
  position: absolute;
  left: 120px;
  top: 180px;
  margin: 32px; width: 324px
  /*animation-delay: .5s;*/
}

#programmer{
  position: absolute;
  left: 483px;
  top: 371px;
  margin: 32px; 
  width: 300px
  /*animation-delay: .5s;*/
}

#aero_ring{
  margin: 32px; 
  position: absolute;
  left: 846px !important; 
  top: 400px !important ;
}

#socials{
  position: absolute;
  left: 260px;
  top: 50px;
  margin: 32px;
  width: 390px

  /*animation-delay: .75s;*/
}
#rules{
  position: absolute;
  left: 400px;
  top: 0px;
  margin: 32px; 
  width: 300px;
}
#game{
  position: absolute;
  left: 771px;
  top: 37px;
  margin: 32px; 
  width: 300px
  /*animation-delay: .25s;*/
}

.acab_ring{
  image-rendering: pixelated;
}

.acab_link{
  text-decoration: none;
}

#aero-ring a,
#aero-ring a:visited {
  display: flex !important;
  justify-content: center !important;
  text-align:center !important;
  
  box-sizing: border-box;
  color: black !important;
  text-decoration: none !important;
  box-sizing: border-box;
  border: none;
  background: #c0c0c0;
  box-shadow: inset -1px -1px #0a0a0a,
    inset 1px 1px #ffffff, inset -2px -2px #808080,
    inset 2px 2px #dfdfdf;
  border-radius: 0;

  min-width: 75px;
  min-height: 23px;
  
  padding: 0 12px;
}

#aero-ring a:not(:disabled):active {
  box-shadow: inset -1px -1px #ffffff,
    inset 1px 1px #0a0a0a, inset -2px -2px #dfdfdf,
    inset 2px 2px #808080;
}

#aero-ring a:focus {
  outline: 1px dotted #000000;
  outline-offset: -4px;
}


.webring-container{
  background: #c0c0c0;
  width: fit-content;
  padding: 5px;
  display: inline-block;
}

#bottom{

  position:absolute;
  right:0; 
  bottom:0;
  background-color:#c0c0c0;
  width:100%;
  max-height: 10%;
  height: 6%;
  box-shadow: inset -1px -1px #0a0a0a,
    inset 1px 1px #ffffff, inset -2px -2px #808080,
    inset 2px 2px #dfdfdf;
}

#bottom #right{
  /* position: inherit; */
  float:right;
  align-items: center;

}

#menu{
  width:15%;
  height:50%;
  background-color: #c0c0c0;
  position:absolute;
  bottom:0;
  margin:0;
  left:0;
  box-shadow: inset -1px -1px #0a0a0a,
    inset 1px 1px #ffffff, inset -2px -2px #808080,
    inset 2px 2px #dfdfdf;
}


#menu > #blue_side_bar{
  /* display: table-cell; */
  height:100%;
  width:10%;
  float:left;

    background: linear-gradient(
    0deg,
    #000080,
    #1084d0
  );
}

#menu > #toggle_buttons{
  /* display: table; */
  float:right;
  width:90%;
  position:absolute;
  right:0;
  height: 100%;

  display: flex;
  flex-direction: column;
  flex-grow: 1;
  /* margin:auto; */
  min-height: 100vh;
}

#menu > #toggle_buttons > .button{
  width:100%;
  height:fit-content;
  max-height: 100vh;

}

#start_menu {
  position: relative;
  width: 80%;
  height: auto;
  margin:auto;
}
#start_menu_button{
  height:90%;
  width:7%;
  display: inline-block;
  padding: .1%;
  margin:.2%;
  margin-bottom: .4%;
  justify-content: center;
}

@media (width < 876px){
	
#introduction{
  position: absolute;
  left: 0px;
  top: 0px;

}


#story{
  position: absolute;
  left: 0px;
  top: 260px;
  animation-name: intro_story;
  animation-duration: 1s;
  /*animation-delay: 0s;*/
}

#programmer{
  position: absolute;
  left: 0px;
  top: 200px;
  animation-name: socials_anim;
  animation-duration: 1s;
  /*animation-delay: .5s;*/
}
#socials{
  position: absolute;
  left: 0px;
  top: 550px;
  animation-name: programmer_anim;
  animation-duration: 1s;
  /*animation-delay: .75s;*/
}
#rules{
  position: absolute;
  left: 400px;
  top: 0px;
}
#game{
  position: absolute;
  left: 0px;
  top: 760px;
  animation-name: game_anim;
  animation-duration: 1s;
  /*animation-delay: .25s;*/
}



}

@keyframes shake {
    0% { transform: translate(2px, 1px) rotate(0deg); } 
    10% { transform: translate(-1px, -2px) rotate(-1deg); }
    20% { transform: translate(-3px, 0px) rotate(1deg); }
    30% { transform: translate(0px, 2px) rotate(0deg); }
    40% { transform: translate(1px, -1px) rotate(1deg); }
    50% { transform: translate(-1px, 2px) rotate(-1deg); }
    60% { transform: translate(-3px, 1px) rotate(0deg); }
    70% { transform: translate(2px, 1px) rotate(-1deg); }
    80% { transform: translate(-1px, -1px) rotate(1deg); }
    90% { transform: translate(2px, 2px) rotate(0deg); }
    100% { transform: translate(1px, -2px) rotate(-1deg); }
}
.shake {
    animation-name: shake;
    animation-duration: 0.5s;
    transform-origin:50% 50%;
    animation-iteration-count: infinite;
}

canvas {
  width:282px;
  height:250px;
}


.hidden{
  display: none;
}

#doom{
  image-rendering: pixelated;
}


.field-row{
  justify-content: flex-end
}

